### Method

# AppStreamCompose Compose set_prefix

#### Declaration [src]

    void
    asc_compose_set_prefix (
      AscCompose* compose,
      const gchar* prefix
    )

#### Description [src]

Set the directory prefix the to-be-processed units are using.

#### Parameters

`prefix`

  Type: `const gchar*`

  A directory prefix, e.g. “/usr”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.